--- old/usr/src/uts/sun4u/sys/pci/pci_axq.h	2014-07-28 07:45:03.176038272 -0400
+++ new/usr/src/uts/sun4u/sys/pci/pci_axq.h	2014-07-28 07:45:03.182041016 -0400
@@ -27,8 +27,6 @@
 #ifndef	_SYS_PCI_AXQ_H
 #define	_SYS_PCI_AXQ_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/types.h>
 #include <sys/atomic.h>
 
@@ -42,18 +40,18 @@
 					do {\
 						n = p->pbm_pio_counter;\
 					} while (n <= 0);\
-					if (atomic_add_32_nv(\
-					    (uint_t *)&p->pbm_pio_counter, -1)\
+					if (atomic_dec_32_nv(\
+					    (uint_t *)&p->pbm_pio_counter)\
 					    == (n - 1))\
 						break;\
-					atomic_add_32(\
-					    (uint_t *)&p->pbm_pio_counter, 1);\
+					atomic_inc_32(\
+					    (uint_t *)&p->pbm_pio_counter);\
 				}\
 				}
 
 
 
-#define	PIO_LIMIT_EXIT(p)	atomic_add_32((uint_t *)&p->pbm_pio_counter, 1);
+#define	PIO_LIMIT_EXIT(p)	atomic_inc_32((uint_t *)&p->pbm_pio_counter);
 
 extern void pci_axq_setup(ddi_map_req_t *mp, pbm_t *pbm_p);
 extern void pci_axq_pio_limit(pbm_t *pbm_p);
